> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Store Cancellation

POST https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/{store_id}/cancellations
Content-Type: application/json

This endpoint allows you to create a store cancellation at the end of the merchant’s current billing cycle. Once a merchant’s store is cancelled, billing is paused for the merchant’s store subscription.

Reference: https://docs.bigcommerce.com/developer/docs/beta/powered-by/api-reference/plans/create-store-cancellation

## Authentication

- `X-Auth-Client` header (required) — The client ID of the franchise API account.
- `X-Auth-Token` header (required) — An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

## Request

### Path parameters

- `store_id` (string, required) — The ID of the store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a post_storeCancellation.

- `id` (string, required)
- `plan_sku` (string, required)
- `store_name` (string, required)
- `country` (string, required)

## Response

### 202

Accepted If the cancellation is successfully scheduled, a 202 Accepted response is returned with the id of the cancellation.

- `data` (StoresStoreIdCancellationsPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 401 Unauthorized Error

Unauthorized If a franchise makes a request with a `client_id` and access token that do not belong together or are expired, a 401 Unauthorized Credentials response is returned.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 404 Not Found Error

Not Found If a store with the given `ID` does not exist, a 404 is returned.

- `status` (double, optional)
- `title` (string, optional)
- `type` (string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity If a store is not in an `active` or `suspended` state, a 422 Unprocessable Entity response is returned.

- `any`

### 502 Bad Gateway Error

Bad Gateway If something happens during the request that causes it to fail, a 502 response is returned. Submit a new get request. If it continues to fail, check the BigCommerce system status [here](http://status.bigcommerce.com/). A service is likely down and the request needs to be made again when the service is back up.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 503 Service Unavailable Error

Service Unavailable If this occurs, you should retry the request. If you are unable to successfully make a request, please check the BigCommerce system status [here](https://status.bigcommerce.com/). A service is likely down and the request will need to be made again when it is back up.

- `status` (integer, optional)
- `title` (string, optional)
- `type` (string, optional)

### 504 Gateway Timeout Error

Gateway Timeout If this occurs, you should retry the request. Typically retrying the request several times will result in a successful request; However, if you are unable to successfully make a request, please check the BigCommerce system status [here](https://status.bigcommerce.com/). A service is likely down and the request will need to be made again when it is back up.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (map from string to string, optional)

## Types

### StoresStoreIdCancellationsPostResponsesContentApplicationJsonSchemaData

- `id` (string, required)
- `scheduled_cancellation_date` (string, required)
- `reason` (string, required)

## Examples

**Request**

```json
{
  "id": "store1",
  "plan_sku": "STORE-STANDARD-NP-MONTHLY",
  "store_name": "Store 1",
  "country": "US"
}
```

**Response**

```json
{
  "data": {
    "id": "12",
    "scheduled_cancellation_date": "2018-05-23 14:04:34.0",
    "reason": "Delegated Billing Partner Initiated"
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations"

payload = {
    "id": "store1",
    "plan_sku": "STORE-STANDARD-NP-MONTHLY",
    "store_name": "Store 1",
    "country": "US"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Client": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Client': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"id":"store1","plan_sku":"STORE-STANDARD-NP-MONTHLY","store_name":"Store 1","country":"US"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations"

	payload := strings.NewReader("{\n  \"id\": \"store1\",\n  \"plan_sku\": \"STORE-STANDARD-NP-MONTHLY\",\n  \"store_name\": \"Store 1\",\n  \"country\": \"US\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Client", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Client"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"store1\",\n  \"plan_sku\": \"STORE-STANDARD-NP-MONTHLY\",\n  \"store_name\": \"Store 1\",\n  \"country\": \"US\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations")
  .header("Accept", "application/json")
  .header("X-Auth-Client", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"store1\",\n  \"plan_sku\": \"STORE-STANDARD-NP-MONTHLY\",\n  \"store_name\": \"Store 1\",\n  \"country\": \"US\"\n}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations', [
  'body' => '{
  "id": "store1",
  "plan_sku": "STORE-STANDARD-NP-MONTHLY",
  "store_name": "Store 1",
  "country": "US"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Client' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Client", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"store1\",\n  \"plan_sku\": \"STORE-STANDARD-NP-MONTHLY\",\n  \"store_name\": \"Store 1\",\n  \"country\": \"US\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Client": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "id": "store1",
  "plan_sku": "STORE-STANDARD-NP-MONTHLY",
  "store_name": "Store 1",
  "country": "US"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/cancellations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```